/************************************************************************
     File:        MyWindow.h

     Author:     
                  Steven J Chenney, schenney@cs.wisc.edu
     Modifier
                  Yu-Chi Lai, yu-chi@cs.wisc.edu
     
     Comment:     For window for displaying the OpenGL operation
	                (c) 2004 Steven J. Chenney
   
     Platform:    Visio Studio.Net 2005
*************************************************************************/
#ifndef MY_WINDOW_H
#define MY_WINDOW_H

// The list of numbers of warning we will like to disable 
#pragma warning(disable : 4204)
#pragma warning(disable : 4244)
#pragma warning(disable : 4312)
#pragma warning(disable : 4311)
#pragma warning(disable : 4083)
#pragma warning(disable : 4193)
// List of all fltk include file for example #include <Fl/Fl_Window.h>
#include <Fl/Fl_Gl_Window.h>
#pragma warning (pop) // Enable the warning again

class MyWindow : public Fl_Gl_Window
{
  public:
		
		// Constructor and destructor
    MyWindow(int width, int height, char* title);
    virtual ~MyWindow(void);
		// Initialize the GL operation which is set up necessary operation
    void InitializeGL(void);
		// Overwrite the draw operation in Fl_Gl_Window
    virtual void draw(void);
		// Function to draw a cube
    void DrawCube(void);

		// Overwrite the event handler
    virtual int handle(int event);

    float rotation;             // Current rotation angle
    float rotationIncrement;    // The increment of each change
    bool  animating;            // Whether it is in animation state
};

#endif
